Package org.apache.solr.client.solrj.request

# Enum Class SolrQuery.ORDER

java.lang.Object
java.lang.Enum<SolrQuery.ORDER>
org.apache.solr.client.solrj.request.SolrQuery.ORDER

All Implemented Interfaces:
  `Serializable`, `Comparable<SolrQuery.ORDER>`, `java.lang.constant.Constable`

Enclosing class:
  `SolrQuery`

public static enum SolrQuery.ORDER extends Enum<SolrQuery.ORDER>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`asc`
`desc`

## Method Summary

Modifier and Type
Method
Description
`SolrQuery.ORDER`
`reverse()`
`static SolrQuery.ORDER`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SolrQuery.ORDER[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### desc

public static final SolrQuery.ORDER desc

### asc

public static final SolrQuery.ORDER asc

## Method Details

### values

public static SolrQuery.ORDER[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SolrQuery.ORDER valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### reverse

public SolrQuery.ORDER reverse()